diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/10.0_plus/get_def.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/10.0_plus/get_def.sql
deleted file mode 100644
index 9ecb461..0000000
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/10.0_plus/get_def.sql
+++ /dev/null
@@ -1,11 +0,0 @@
-SELECT
-    last_value,
-    seqmin AS min_value,
-    seqmax AS max_value,
-    seqstart AS start_value,
-    seqcache AS cache_value,
-    seqcycle AS is_cycled,
-    seqincrement AS increment_by,
-    is_called
-FROM pg_sequence, {{ conn|qtIdent(data.schema) }}.{{ conn|qtIdent(data.name) }}
-WHERE seqrelid = '{{ conn|qtIdent(data.schema) }}.{{ conn|qtIdent(data.name) }}'::regclass
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/10_plus/get_def.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/10_plus/get_def.sql
new file mode 100644
index 0000000..9ecb461
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/10_plus/get_def.sql
@@ -0,0 +1,11 @@
+SELECT
+    last_value,
+    seqmin AS min_value,
+    seqmax AS max_value,
+    seqstart AS start_value,
+    seqcache AS cache_value,
+    seqcycle AS is_cycled,
+    seqincrement AS increment_by,
+    is_called
+FROM pg_sequence, {{ conn|qtIdent(data.schema) }}.{{ conn|qtIdent(data.name) }}
+WHERE seqrelid = '{{ conn|qtIdent(data.schema) }}.{{ conn|qtIdent(data.name) }}'::regclass
diff --git a/web/pgadmin/browser/server_groups/servers/templates/connect/sql/10.0_plus/check_recovery.sql b/web/pgadmin/browser/server_groups/servers/templates/connect/sql/10.0_plus/check_recovery.sql
deleted file mode 100644
index fd27aaa..0000000
--- a/web/pgadmin/browser/server_groups/servers/templates/connect/sql/10.0_plus/check_recovery.sql
+++ /dev/null
@@ -1,9 +0,0 @@
-SELECT CASE WHEN usesuper
-       THEN pg_is_in_recovery()
-       ELSE FALSE
-       END as inrecovery,
-       CASE WHEN usesuper AND pg_is_in_recovery()
-       THEN pg_is_wal_replay_paused()
-       ELSE FALSE
-       END as isreplaypaused
-FROM pg_user WHERE usename=current_user
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/templates/connect/sql/10_plus/check_recovery.sql b/web/pgadmin/browser/server_groups/servers/templates/connect/sql/10_plus/check_recovery.sql
new file mode 100644
index 0000000..fd27aaa
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/templates/connect/sql/10_plus/check_recovery.sql
@@ -0,0 +1,9 @@
+SELECT CASE WHEN usesuper
+       THEN pg_is_in_recovery()
+       ELSE FALSE
+       END as inrecovery,
+       CASE WHEN usesuper AND pg_is_in_recovery()
+       THEN pg_is_wal_replay_paused()
+       ELSE FALSE
+       END as isreplaypaused
+FROM pg_user WHERE usename=current_user
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/templates/servers/sql/10_plus/stats.sql b/web/pgadmin/browser/server_groups/servers/templates/servers/sql/10_plus/stats.sql
new file mode 100644
index 0000000..444b4d2
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/templates/servers/sql/10_plus/stats.sql
@@ -0,0 +1,51 @@
+SELECT
+    pid AS "PID",
+    usename AS {{ conn|qtIdent(_('User')) }},
+    datname AS {{ conn|qtIdent(_('Database')) }},
+    backend_start AS {{ conn|qtIdent(_('Backend start')) }},
+    CASE
+    WHEN client_hostname IS NOT NULL AND client_hostname != '' THEN
+        client_hostname || ':' || client_port
+    WHEN client_addr IS NOT NULL AND client_addr::text != '' THEN
+        client_addr::text || ':' || client_port
+    WHEN client_port = -1 THEN
+        'local pipe'
+    ELSE
+        'localhost:' || client_port
+    END AS {{ conn|qtIdent(_('Client')) }},
+    application_name AS {{ conn|qtIdent(_('Application')) }},
+    wait_event_type AS {{ conn|qtIdent(_('Wait event type')) }},
+    wait_event AS {{ conn|qtIdent(_('Wait event name')) }},
+    query AS {{ conn|qtIdent(_('Query')) }},
+    query_start AS {{ conn|qtIdent(_('Query start')) }},
+    xact_start AS {{ conn|qtIdent(_('Xact start')) }}
+FROM
+    pg_stat_activity sa
+WHERE
+    (SELECT r.rolsuper OR r.oid = sa.usesysid  FROM pg_roles r WHERE r.rolname = current_user)
+UNION
+SELECT
+    pid AS "PID",
+    usename AS {{ conn|qtIdent(_('User')) }},
+    '' AS {{ conn|qtIdent(_('Database')) }},
+    backend_start AS {{ conn|qtIdent(_('Backend start')) }},
+    CASE
+    WHEN client_hostname IS NOT NULL AND client_hostname != '' THEN
+        client_hostname || ':' || client_port
+    WHEN client_addr IS NOT NULL AND client_addr::text != '' THEN
+        client_addr::text || ':' || client_port
+    WHEN client_port = -1 THEN
+        'local pipe'
+    ELSE
+        'localhost:' || client_port
+    END AS {{ conn|qtIdent(_('Client')) }},
+    {{ _('Streaming Replication')|qtLiteral }} AS {{ conn|qtIdent(_('Application')) }},
+    null AS {{ conn|qtIdent(_('Wait event type')) }},
+    null AS {{ conn|qtIdent(_('Wait event name')) }},
+    state || ' [sync (state: ' || COALESCE(sync_state, '') || ', priority: ' || sync_priority::text || ')] (' || sent_lsn || ' sent, ' || write_lsn || ' written, ' || flush_lsn || ' flushed, ' || replay_lsn || ' applied)' AS {{ conn|qtIdent(_('Query')) }},
+    null AS {{ conn|qtIdent(_('Query start')) }},
+    null AS {{ conn|qtIdent(_('Xact start')) }}
+FROM
+    pg_stat_replication sa
+WHERE
+    (SELECT r.rolsuper OR r.oid = sa.usesysid  FROM pg_roles r WHERE r.rolname = current_user)
diff --git a/web/pgadmin/utils/versioned_template_loader.py b/web/pgadmin/utils/versioned_template_loader.py
index df24ab7..d8cc1a1 100644
--- a/web/pgadmin/utils/versioned_template_loader.py
+++ b/web/pgadmin/utils/versioned_template_loader.py
@@ -16,7 +16,7 @@ class VersionedTemplateLoader(DispatchingJinjaLoader):
         template_path_parts = template.split("#", 2)
 
         server_versions = (
-            {'name': "10.0_plus", 'number': 100000},
+            {'name': "10_plus", 'number': 100000},
             {'name': "9.6_plus", 'number': 90600},
             {'name': "9.5_plus", 'number': 90500},
             {'name': "9.4_plus", 'number': 90400},
